NVIDIA BIOS Editor

Welcome to the world of BIOS tweaking!
NVIDIA BIOS Collection

  • How to flash BIOS

  • AGP Low Level Information

  • General

    • Device ID

    • Sub Vendor ID

    • Sub Device ID

    • Skip DDC Monitor detection

    • Enable Memory Size Message

    • Enable Sign on Message

    • Engineering Release

    • File and BIOS Size

    • Sign On Message

    • Sign on color

    • Frame count

    • BIOS Version message

    • BIOS Version

    • Shrink File When Save

  • Initialization

    • AGP SBA Disabled

    • Fast Writes

    • STRAP Overwrite Enabled

    • GPU Clock Speed

    • Memory Clock Speed

    • Memory Type

    • TV Mode Source

    • TV Mode

  • Fonts

    • Fonts

    • Save font

    • Replace font

  • Additional Information

    • NVIDIA BIOS Release numbers

Feel free to send email to rayadams@writeme.com
Feel free to visit http://www.x-bios.3dgames.ru on the Web for updated version of my editor.

This software is provided by the Ray Adams ``as is'' and have
no warranty. Ray Adams and NVIDIA BIOS Collection are in no way
responsible if your card becomes
inoperable due to flashing your BIOS


General Initialization

In this page you can set options like Vendor and SubVendor ID. Some boot time options like Skip DDC Monitor detection.

(c) 2001,2002 Ray Adams


Device ID

This value indicates type of card. You can select ID from list by clicking "Change" button. But remember! It is not a way to change you actual Device ID! Look for article about converting GeForce into Quadro, on http://www.x-bios.3dgames.ru.


SubVendor ID

Set this value to your desired vendor id. You can select ID from list by clicking on "..." button.


SubDevice ID

This is ID for device from vendor. For example ASUS V7100 has 4015 value. BIOS Editor have values for SubDevices from more then 8 vendors like ASUS, ELSA, GigaByte, Hercules, Suma and so on.


Skip DDC Monitor Detection

If enabled, your card will skip procedure of DDC compatibly monitor detection during start up. VESA DDC - (DDC3) specification for communicating with display devices


Enable SignOn Message

If checked on. Computer will display Sign On message at start up.
For Example:

ASUS AGP-V7100 VGA BIOS Version 3.11.00.18.AS01


Enable Memory Size Message

IF checked on. Computer will display total amount of video ram installed on your card. There are no way to enter this value in bios. Total amount of memory calculated by bios teself.


Engineering Release

If checked:
Computer will write Engineering Release. message

(Can be safely turned off)


SignOn Message

If Enable SignOn message is ON Computer will display this message. Max length 80 chars.
Tip.

Do not forget to put carriage return at the end of SignOn message!.

(c) 2001,2002 Ray Adams


SignOn Color

This option allows setting up color for Sign On message. Default is 7 - white. Works only on some types of bioses when video bios boots in graphics mode.


File And BIOS Sizes

Some bioses have different actual size than file size. For example a lot of bioses have 65535 bytes size, but actually - more smaller size. You can check this option to shrink file when saving.


BIOS Version

In these options you can change only 3 and 4 boxes. 1st and 2nd boxes have values those can't be safely changed.


BIOS Version Message

This message usually has text representation of BIOS Version, like BIOS Version: 3.11.00.37. Some bioses from vendors like ASUS, doesn't have any text in this box.


Initialization

In this page you can set initialization options for GPU and Memory clock, and options for TV Mode source, SideBand addressing.

(c) 2001,2002 Ray Adams


AGB SBA

NVIDIA BIOS Editor

AGP SBA Disabled

If checked - Side Band addressing is disabled. Some cards have no support for SBA like GeForce 2 MX. Turning on, can speed up your card but can bring you computer in instable state.


Fast Writes

This is beta option to check if your FastWrites are disabled in BIOS.

P.S. I have some success reports on GeForce 3 cards.


STRAP Overwrite enabled

If checked. Video card will use Strap Register to update state of register of card, i.e. SBA and some other options will not be turned on if this options disabled.


GPU Clock speed

Clock speed for Graphics Processor Unit. Using Editor you can't determine which position you must change. Positions in table determined at start up mode, depending on your configuration. If you card have SDRAM memory type you must change values at left panel. Right panel only for DDR SDRAM Memory types.


Memory Clock Speed

Clock speed for Memory. Using Editor you can't determine which position you must change. Positions in table determined at start up mode, depending on your configuration. If you card have SDRAM memory type you must change values at left panel. Right panel only for DDR SDRAM Memory types.

(c) 2001,2002 Ray Adams


Duplicate Selected Value to other

Press this button to duplicate value in selected box to to other boxes.


TV Mode Source

Use override - if you select this option TV Source will be taken from TV Mode box.
Use Straps (default NTSC M) - if you select this value you card will use default value for TV Mode - NTSC-M


TV Mode

Possible values are:

· Force NTSC-M (Standard)
· NTSC-J (Japan) - BT only
· PAL-M - BT only
· PAL-BDGHI (Standard)
· PAL-N - BT only
· PAL-NC - BT only

This options will not take effect if TV Mode source is set as Use Straps (default NTSC M)


Fonts

In this page you can View/Save/Replace internal fonts.

(c) 2001,2002 Ray Adams


Fonts

List of available fonts is BIOS. You can Save or Replace internal fonts.


Save font

Save selected font to file


Replace font

Replace selected font with your one. You can replace font only with valid font file! Edit check size of a file to be correct but not the content of file! So be careful!


AGP Low Level Information

NVIDIA BIOS Editor

This page allows to check current status of Video card, reading information directly from Video card, using low level hardware access. Thanks to Unwinder for low level driver for Win NT/2k/XP.

(c) 2001,2002 Ray Adams


NVIDIA BIOS Release Numbers

Current BIOS release numbers contain five version numbers grouped in the following format:

C.cc.mm.ee.oo

where C. Major Core Version

The major core version indicates the core version from which the BIOS is generated. A change in this number indicates a major architectural change

to the BIOS. NVIDIA has three major core versions:

. 1 (NV03, NV3T)
. 2 (NV04, NV05, NV10, NV15)
. 3 (NV05, NV10, NV11, NV15, NV20)
cc.Chip Version

The chip version indicates the chipset family and has one of five values:

. 04 (RIVA TNT.)
. 05 (TNT2. and Vanta. families)
. 10 (GeForce 256., Quadro.)
. 11 (GeForce2 MX., GeForce2 Go., Quadro2 MXR.)
. 15 (GeForce2 GTS., GeForce2 Ultra., GeForce2 Pro., Quadro2 Pro.)
. 20 (GeForce3.)

mm.Minor Version

The minor version indicates changes that do not affect the core, such as additional support being added, significant bugs being fixed, or the restructuring of certain operational aspects of the BIOS.

ee.Engineering Version

The engineering version indicates minor changes to the BIOS, such as register tweaks and minor bug fixes.

oo.OEM Version

OEM version numbers have been assigned to BIOS releases since TNT2 to track customizations for OEMs and to provide unique numbers for NVIDIA generic reference BIOSs, which are the bases for all OEM versions, have OEM versions of 00.Thus, a GeForce2 MX BIOS numbered 3.11.00.02.00 has the same significant bug fixes and features as a Quadro2 MXR BIOS numbered 3.11.00.01.00. However, that same GeForce2 MX BIOS has register tweaks and/or minor bug fixes that differ from the Quadro2 MXR BIOS. Note that a 3.11.xx.yy.zz BIOS probably does not correspond to a 3.15.xx.yy.zz BIOS. Changes made to the common source tree usually create different minor version numbers for each BIOS. For example, the same change might be represented by BIOS 3.11.04.00.00 for a GeForce2 MX and BIOS 3.15.01.00.00 for a GeForce2 GTS.


Frame Count

This option set number of frames to wait after displaying all message at start up.
Default is 280 frames.
1 second = 70 frames


Memory Type

You can set type of memory to be used with this entry in table. Possible options are SDR or DDR. Cards based on GeForce 3 and up, can have only DDR SDRAM memory type, so when you open such bios all values except first will be disabled.


Shrink File When save

If actual BIOS size and size of file are different, you can shrink the file when saving.


How to Flash BIOS

You must have these files before flashing your bios:
NVFLASH.EXE - NVIDIA Flash Until
DOS4GW.EXE - DOS/4GW Protected Mode Run-time loader
---
Create bootable floppy, place these files and ROM file for example G2GTSCH.ROM
Boot your computer from floppy and write this command and DOS prompt
a:\nvflash.exe /f[here_write_bios_file_name]
and press enter.

Tips:
Make backup copy of your bios before flashing!!!
You can do it by running nvflash.exe with this parameter -b<filename> Read ROM and save to <filename>

How to flash you card if it doesn’t show anything.

If you card fail after flashing you can restore your old bios in two ways
1. Do not remove your AGP card and install second PCI Video adapter, set Primary VGA Adapter to PCI in Motherboard BIOS
After booting using PCI card, do same flashing procedure
2. Make bootable floppy and crate two files
config.sys
------------------------------------
[menu]menuitem=Restore,Restore origin bios
menuitem=Def, Default start
default=Restore,5

[Restore]

[Def]

and autoexec.bat
goto %config%

:Restore
NVFLASH.EXE -s4 /fold.rom -h
:Def
--------------------------------
Before put your old BIOS file and rename it to old.rom. Boot your computer from floppy and for 5 second. Flashing procedure will start automatically, after flashing your computer will be restarted

Back